高版本SQL备份在低版本SQL还原问题

Share
  • 2022年7月29日

问题描述: 高版本SQL备份在低版本SQL还原问题(出现媒体簇的结构不正确)

分析原因: SQL版本兼容问题,SQL SERVER兼容级别是用作向下兼容用,高版本的SQL备份在低版本中不兼容
解决方法:
1:通过管理器的脚本生成向导,把数据库,表,存储过程等对象的脚本生成,然后在低版本的SQL Server下执行建立这些对象.。
2:通过DTS/SSIS,将表中的数据导过去。

此处我们把第1种方法做下详细介绍(以SQL2008的数据库还原到SQL2005为例)。
1.首先我们在SQL2008中生成对应数据库的脚本。

2.我们在生成脚本界面中点击“下一步”。

3.在设置脚本编写选项这一步中点击“高级”,设置“要编写的脚本的数据类型”和“为服务器编写脚本”为“SQL SERVER 2005”和“构架与数据”。

4.“下一步”,“下一步”生成我们的脚本文件。

5.在SQL2005数据库中创建同名称数据库。
6.打开脚本并选择对应的数据库。

7.分析并执行脚本查询。
8.完成。